%global gem_name ruby-progressbar

Name:           rubygem-%{gem_name}
Version:        1.11.0
Release:        2%{?dist}
Summary:        Ruby/ProgressBar is a flexible text progress bar library
License:        MIT

URL:            https://github.com/jfelchner/ruby-progressbar
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:        %{name}-%{version}-testsuite.tar.gz
# Source1 is created from $ bash %%{SOURCE2} <version>
Source2:        ruby-progressbar-create-test-suite-tarball.sh

BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  ruby
# check
BuildRequires:  rubygem(timecop)
BuildRequires:  rubygem(rspec)

BuildArch:      noarch

%description
Ruby/ProgressBar is an extremely flexible text progress bar library for Ruby.
The output can be customized with a flexible formatting system including:
percentage, bars of various formats, elapsed time and estimated time
remaining.


%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -a 1

pushd %{gem_name}-%{version}/
# rspectacular does nothing significant, removing
sed -i spec/spec_helper.rb -e '\@rspectacular@d'
popd
cp -a %{gem_name}-%{version}/spec .

%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

pushd %{buildroot}%{gem_instdir}
rm -f \
	Rakefile \
	%{nil}
popd

%check
rm -rf .%{gem_instdir}/spec
cp -a spec .%{gem_instdir}

pushd .%{gem_instdir}
export RUBYLIB=$(pwd)/lib

# Need investigation
sed -i spec/lib/ruby-progressbar/base_spec.rb \
	-e '\@can be converted into a hash@s|it|xit|'

ruby -rruby-progressbar -rtimecop -S rspec spec
popd

%files
%license %{gem_instdir}/LICENSE.txt

%dir %{gem_instdir}
%{gem_libdir}
%{gem_spec}

%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md


%changelog
* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com> - 1.11.0-2
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Mon Feb 15 2021 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.11.0-1
- 1.11.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Fabio Valentini <decathorpe@gmail.com> - 1.10.1-1
- Update to version 1.10.1.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 08 2018 Fabio Valentini <decathorpe@gmail.com> - 1.10.0-1
- Update to version 1.10.0.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Fabio Valentini <decathorpe@gmail.com> - 1.9.0-1
- Initial package

